> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetNightlyRefreshStatus

> Troubleshoot nightly refreshes and see ineligible accounts.

Use this endpoint to troubleshoot nightly refreshes that you have already set up using the `/SetScheduledRefresh` endpoint.

The `/GetNightlyRefreshStatus` endpoint returns a list of all `LoginIds` that you've enabled nightly refresh for, but are not eligible for refreshes because they don't meet all of the requirements. This endpoint returns a response that details why the account is ineligible.

For every account presented in the response, have the user re-link the account through Flinks Connect.

<Warning>
  <p class="h4">You must authenticate first</p>

  Please note that you will need to provide a private Authentication key in order to use this endpoint. If you do not have one already provided, contact your Flinks Representative.
</Warning>


## OpenAPI

````yaml GET /v3/{customerId}/BankingServices/GetNightlyRefreshStatus
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/GetNightlyRefreshStatus:
    get:
      tags:
        - Connect
      summary: Get Nightly Refresh Status
      description: Troubleshoot nightly refreshes and see ineligible accounts.
      operationId: getNightlyRefreshStatus
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID provided by Flinks.
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: Bearer <API_Secret>
          description: >-
            Contains the Bearer Token (API secret key) that's provided by
            Flinks.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response.
                  IneligibleCards:
                    type: array
                    description: Array of cards that are not eligible for nightly refresh.
                    items:
                      type: object
                      properties:
                        LoginId:
                          type: string
                          description: Unique identifier for the user's account.
                        LastRefreshDate:
                          type: string
                          description: Date and time of the last refresh attempt.
                        LastRefreshState:
                          type: string
                          description: State of the last refresh attempt.
                        LastRefreshErrorCode:
                          type: string
                          nullable: true
                          description: >-
                            Error code from the last refresh attempt, if
                            applicable.
              example:
                HttpStatusCode: 200
                IneligibleCards:
                  - LoginId: d12c531b-9622-4477-38c5-08d779b6f27e
                    LastRefreshDate: '2020-06-18T03:26:34.6854364'
                    LastRefreshState: AnsweringSecurityChallenge
                    LastRefreshErrorCode: null
                Message: The login 'bb8b8569-3bfc-43c1-ae31-08d6de7f1675' is invalid.
                FlinksCode: INVALID_REQUEST

````